ru.bitel.bgbilling.modules.softkey.server.bean

## Class SoftkeyParams

- java.lang.Object
- - ru.bitel.bgbilling.modules.softkey.server.bean.SoftkeyParams

-     public class SoftkeyParams
      extends java.lang.Object

  Класс с параметрами модуля SoftKey
  Author:
    artur

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SOFTKEY_SERVER_URL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftkeyParams(ModuleSetup moduleSetup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAc()`
    `int` | `getChargeTypeId()`
    `int` | `getEmailPid()`
    `int` | `getFioPid()`
    `java.security.PrivateKey` | `getISPPrivateKey()` Возвращает закрытый ключ провайдера
    `java.security.PublicKey` | `getISPPublicKey()` Возвращает открытый ключ провайдера
    `int` | `getMaxSubscribeCount()`
    `java.lang.String` | `getPassword()`
    `java.security.PublicKey` | `getSoftkeyPublicKey()` Возвращает открытый ключ системы softkey
    `java.lang.String` | `getWebMenuTitle()`
    `void` | `setAc(int ac)`
    `void` | `setChargeTypeId(int chargeTypeId)`
    `void` | `setEmailPid(int emailPid)`
    `void` | `setFioPid(int fioPid)`
    `void` | `setMaxSubscribeCount(int maxSubscribeCount)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setWebMenuTitle(java.lang.String webMenuTitle)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOFTKEY_SERVER_URL

          public static final java.lang.String SOFTKEY_SERVER_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SoftkeyParams

          public SoftkeyParams(ModuleSetup moduleSetup)

  - ### Method Detail

    - #### getAc

          public int getAc()

    - #### setAc

          public void setAc(int ac)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### getWebMenuTitle

          public java.lang.String getWebMenuTitle()

    - #### setWebMenuTitle

          public void setWebMenuTitle(java.lang.String webMenuTitle)

    - #### getChargeTypeId

          public int getChargeTypeId()

    - #### setChargeTypeId

          public void setChargeTypeId(int chargeTypeId)

    - #### getMaxSubscribeCount

          public int getMaxSubscribeCount()

    - #### setMaxSubscribeCount

          public void setMaxSubscribeCount(int maxSubscribeCount)

    - #### getFioPid

          public int getFioPid()

    - #### setFioPid

          public void setFioPid(int fioPid)

    - #### getEmailPid

          public int getEmailPid()

    - #### setEmailPid

          public void setEmailPid(int emailPid)

    - #### getSoftkeyPublicKey

          public java.security.PublicKey getSoftkeyPublicKey()
                                                      throws ru.bitel.bgbilling.common.BGMessageException,
                                                             ru.bitel.bgbilling.common.BGException

      Возвращает открытый ключ системы softkey
      Returns:
        открытый ключ
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getISPPrivateKey

          public java.security.PrivateKey getISPPrivateKey()
                                                    throws ru.bitel.bgbilling.common.BGMessageException,
                                                           ru.bitel.bgbilling.common.BGException

      Возвращает закрытый ключ провайдера
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getISPPublicKey

          public java.security.PublicKey getISPPublicKey()
                                                  throws ru.bitel.bgbilling.common.BGException

      Возвращает открытый ключ провайдера
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`